// MultiaxisMotionDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include "i8196F.h"

// CMultiaxisMotionDlg dialog
class CMultiaxisMotionDlg : public CDialog
{
// Construction
public:
	CMultiaxisMotionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MULTIAXISMOTION_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_cmbSlotNo;
	CStatic m_stcFunErr;

	HBITMAP m_hBmpErr;
	HBITMAP m_hBmpOff;

	HBITMAP m_hBmpConti;
	HBITMAP m_hBmpHelical;

	void InitialI8196F(U8 SlotNo);
	afx_msg void OnCbnSelchangecmbslotno();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnStnClickedstcfunerr();

	void OnbtnReset(UINT nID);
	afx_msg void OnBnClickedbtnresetall();
	void ResetCnt(U8 AxisNo);

	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);

	afx_msg void OnBnClickedbtnlinemove();
	afx_msg void OnBnClickedbtnlinestop();
	CComboBox m_cmbARCAxisX;
	CComboBox m_cmbARCAxisY;
	afx_msg void OnBnClickedbtnarcmove();
	afx_msg void OnBnClickedbtnarcstop();
	CComboBox m_cmbHelicalAxis0;
	CComboBox m_cmbHelicalAxis1;
	CComboBox m_cmbHelicalAxis2;
	afx_msg void OnBnClickedbtnhelicalmove();
	afx_msg void OnBnClickedbtnhelicalstop();
	afx_msg void OnBnClickedCheck1();
	CButton m_chkEnableConti;
	afx_msg void OnBnClickedbtncontistart();
	afx_msg void OnBnClickedbtncontistop();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedbtngraph();
	afx_msg void OnBnClickedbtngraph2();
};
